<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7f8f9"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_80"
        android:background="@color/white">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="@dimen/dp_32"
            android:layout_height="@dimen/dp_32"
            android:layout_marginLeft="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_5"
            android:src="@drawable/icon_student_default_head"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:text="--"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            tools:text="aaaa" />

        <ImageView
            android:id="@+id/im_message"
            android:layout_width="@dimen/dp_33"
            android:layout_height="@dimen/dp_33"
            android:layout_marginRight="@dimen/dp_17"
            android:padding="@dimen/dp_5"
            android:src="@drawable/icon_top_message"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar" />

        <View
            android:id="@+id/view_unread_message"
            android:layout_width="@dimen/dp_7"
            android:layout_height="@dimen/dp_7"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:background="@drawable/bg_red_ovil"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/im_message"
            app:layout_constraintTop_toTopOf="@+id/im_message"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        app:srlEnableLoadMore="false"
        android:layout_width="match_parent"
        android:layout_height="match_parent">



        <androidx.core.widget.NestedScrollView
            android:id="@+id/scroll_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <com.youth.banner.Banner
                    android:id="@+id/banner"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_132"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_14"
                    app:banner_radius="12dp"
                    android:descendantFocusability="blocksDescendants"
                    app:banner_indicator_normal_color="@color/transparent"
                    app:banner_indicator_selected_color="@color/transparent" />


                <androidx.viewpager.widget.ViewPager
                    android:id="@+id/viewpager_menu"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_93"
                    android:layout_marginTop="@dimen/dp_8"
                    android:layout_marginBottom="@dimen/dp_2" />


                <LinearLayout
                    android:id="@+id/ll_indicator"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_4"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="2dp"
                    android:background="@drawable/bg_f2f2f2_indicator"
                    android:gravity="center"
                    android:orientation="horizontal">

                </LinearLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/bg_announcement"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="14dp"
                    android:background="@drawable/bg_white_10dp"
                    android:elevation="2dp"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <ImageView
                        android:id="@+id/iv_bell"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:src="@drawable/icon_home_bell"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_notice_content"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="2dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toRightOf="@+id/iv_bell"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="网络教室升级公告" />

                    <ImageView
                        android:id="@+id/im_notice_list"
                        android:layout_width="@dimen/dp_38"
                        android:layout_height="@dimen/dp_38"
                        android:layout_marginRight="@dimen/dp_1"
                        android:padding="@dimen/dp_10"
                        android:src="@drawable/icon_calendar_next_month"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_live"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_60"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_14"
                    android:background="@drawable/bg_white_30dp"
                    android:visibility="gone">

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/im_live_header"
                        android:layout_width="@dimen/dp_48"
                        android:layout_height="@dimen/dp_48"
                        android:layout_marginLeft="@dimen/dp_7"
                        android:src="@drawable/icon_student_default_head"
                        app:civ_border_color="@color/color_02c1ac"
                        app:civ_border_width="1dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <ImageView
                        android:layout_width="@dimen/dp_20"
                        android:layout_height="@dimen/dp_20"
                        android:layout_marginLeft="@dimen/dp_41"
                        android:background="@drawable/icon_home_live_clock"
                        app:layout_constraintBottom_toBottomOf="@+id/im_live_header"
                        app:layout_constraintLeft_toLeftOf="parent" />


                    <TextView
                        android:id="@+id/tv_live_title"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_74"
                        android:layout_marginTop="@dimen/dp_5"
                        android:layout_marginRight="@dimen/dp_120"
                        android:ellipsize="end"
                        android:lines="1"
                        android:text="竖笛直播课即将开始"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/im_live_header" />

                    <TextView
                        android:id="@+id/tv_live_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_74"
                        android:layout_marginBottom="@dimen/dp_5"
                        android:text="今日 16:30-17:05"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/im_live_header"
                        app:layout_constraintLeft_toLeftOf="parent" />

                    <View
                        android:id="@+id/view_live_line"
                        android:layout_width="1dp"
                        android:layout_height="@dimen/dp_30"
                        android:layout_marginRight="@dimen/dp_118"
                        android:background="@color/color_d8d8d8"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_go_live"
                        android:layout_width="@dimen/dp_72"
                        android:layout_height="@dimen/dp_32"
                        android:layout_marginRight="@dimen/dp_19"
                        android:background="@drawable/shape_course_status_ing"
                        android:gravity="center"
                        android:text="进入课堂"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_hot_album"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="gone">

                    <View
                        android:id="@+id/tv_hot_album_line"
                        android:layout_width="4dp"
                        android:layout_height="12dp"
                        android:layout_marginStart="19dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                    <TextView
                        android:id="@+id/tv_hot_album"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="热门专辑"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_16"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_hot_album_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_hot_album_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:layout_marginStart="14dp"
                        android:id="@+id/rv_hot_album"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:overScrollMode="never"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_hot_album" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_live_course"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="gone">

                    <View
                        android:id="@+id/tv_live_course_line"
                        android:layout_width="4dp"
                        android:layout_height="12dp"
                        android:layout_marginStart="19dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_live_course_title"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_live_course_title" />

                    <TextView
                        android:id="@+id/tv_live_course_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="直播课"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_16"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_live_course_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_live_course_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_live_course_title"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_live_course_title" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_live_course"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_7"
                        android:overScrollMode="never"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_live_course_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_video_course"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="gone">

                    <View
                        android:id="@+id/tv_video_course_line"
                        android:layout_width="4dp"
                        android:layout_height="12dp"
                        android:layout_marginStart="19dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_video_course_title"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_video_course_title" />

                    <TextView
                        android:id="@+id/tv_video_course_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="视频课"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_16"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_video_course_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_video_course_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_video_course_title"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_video_course_title" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_video_course"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:overScrollMode="never"
                        android:paddingTop="@dimen/dp_7"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_video_course_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_teacher_style"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="gone">

                    <View
                        android:id="@+id/tv_teacher_style_line"
                        android:layout_width="4dp"
                        android:layout_height="12dp"
                        android:layout_marginStart="19dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_style_title"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_teacher_style_title" />

                    <TextView
                        android:id="@+id/tv_teacher_style_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="老师风采"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_16"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_teacher_style_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_teacher_style_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_style_title"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_teacher_style_title" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_teacher_style"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_7"
                        android:overScrollMode="never"
                        android:paddingLeft="@dimen/dp_8"
                        android:paddingRight="@dimen/dp_8"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_teacher_style_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_wonderful_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:paddingBottom="10dp"
                    android:visibility="gone">

                    <View
                        android:id="@+id/tv_wonderful_info_line"
                        android:layout_width="4dp"
                        android:layout_height="12dp"
                        android:layout_marginStart="19dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_wonderful_info_title"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_wonderful_info_title" />

                    <TextView
                        android:id="@+id/tv_wonderful_info_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="精彩资讯"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_16"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_wonderful_info_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_wonderful_info_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_wonderful_info_title"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_wonderful_info_title" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_wonderful_info"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_14"
                        android:layout_marginTop="12dp"
                        android:layout_marginRight="@dimen/dp_14"
                        android:background="@drawable/bg_white_10dp"
                        android:overScrollMode="never"
                        android:paddingTop="10dp"
                        android:paddingBottom="5dp"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_wonderful_info_title" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_25"
                    android:focusable="true"
                    android:focusableInTouchMode="true" />
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>